Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.event
Interface HelpModelListener

All Superinterfaces:
  java.util.EventListener

All Known Subinterfaces:
  HelpHistoryModel

All Known Implementing Classes:
  BasicContentViewerUI, BasicFavoritesNavigatorUI, BasicGlossaryNavigatorUI, BasicIndexNavigatorUI, BasicNativeContentViewerUI, BasicSearchNavigatorUI, BasicTOCNavigatorUI, DefaultHelpHistoryModel

public interface HelpModelListener
extends java.util.EventListener

Defines the interface for an object that listens to changes in a HelpModel.

Method Summary
`void` | `idChanged(HelpModelEvent e)` Tells the listener that the current ID in the HelpModel has changed.

Method Detail

### idChanged

    public void idChanged(HelpModelEvent e)

  Tells the listener that the current ID in the HelpModel has changed. All highlights from the previous location change at this point.

  Parameters:
    `e` - The event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD